=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openssh
 Section: net
 Priority: standard
-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
 Build-Depends: debhelper (>= 13.1~),
                debhelper-compat (= 13),
                dh-exec,
@@ -14,6 +15,7 @@
                libpam0g-dev | libpam-dev,
                libselinux1-dev [linux-any],
                libssl-dev (>= 1.1.0g),
+               libsystemd-dev [linux-any] | libelogind-dev [linux-any],
                libwrap0-dev | libwrap-dev,
                pkg-config,
                zlib1g-dev,
