=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkrb5-dev | heimdal-dev,
                libpam0g-dev | libpam-dev,
                libselinux1-dev [linux-any],
-               libssl-dev (>= 1.1.0g),
+               libssl-dev (>= 1.1.1),
                libsystemd-dev [linux-any] | libelogind-dev [linux-any],
                libwrap0-dev | libwrap-dev,
                pkg-config,
