=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,9 @@
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 confflags += --with-libs=-lcrypt
 endif
+
+# Always use the internal mkdtemp; see https://bugs.debian.org/1001186.
+confflags += ac_cv_func_mkdtemp=no
 
 # Everything above here is common to the deb and udeb builds.
 confflags_udeb := $(confflags)
@@ -77,6 +80,7 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 confflags += --with-selinux
 confflags += --with-audit=linux
+confflags += --with-systemd
 confflags += --with-security-key-builtin
 endif
 
@@ -184,6 +188,11 @@
 override_dh_installinit:
 	dh_installinit -R --name ssh
 
+override_dh_installsystemd:
+	dh_installsystemd -popenssh-server --no-start ssh.socket
+	dh_installsystemd -popenssh-server rescue-ssh.target
+	dh_installsystemd -popenssh-server --no-enable --no-start ssh.service
+
 debian/openssh-server.sshd.pam: debian/openssh-server.sshd.pam.in
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	sed 's/^@IF_KEYINIT@//' $< > $@
